Subject: RE: [nemo] NEMO DHAAD instead of bit in BAck?

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 17 Nov 2003 07:33:28 -0000

All:

Just 2 comments:

1) I agree with the idea. But DHAAD is an option and I believe HA still
must echo the R bit.
2) Since this is about the same functionality as the 'R' bit, why not
naming it 'R' as well in  DHAAD?

Pascal

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
Vijay Devarapalli
> Sent: samedi 15 novembre 2003 04:02
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [nemo] NEMO DHAAD instead of bit in BAck?
> 
> I agree with Tim here. to close this issue I suggest adding
> a new section on modifications to Dynamic Home Agent Dicovery
> messages to the draft.
> 
> a version of the draft with these modifications is at
> http://people.nokia.net/vijayd/nemo/nemo_protocol_mod_dhaad.txt
> there is a new section 7. please comment.
> 
> I also removed Binding Ack status 2.
> 
> Vijay
> 
> [email-masked] wrote:
> > Hi all,
> >
> > I already talked about NEMO DHAAD with the authors of the basic
> > support draft and Vijay asked me to post this to the list.
> >
> > So far according to the basic support draft, MR discovers HA's that
> > have MR support, by receiving binding acks with with non-zero status
> > code. This means MR has to cycle between HA's that have no MR
support
> > up to HA's that do have MR support.
> >
> > Being more specific during the HA discovery phase (DHAAD), could
> > improve this situation.
> >
> > I'll attach a text I wrote some time ago, that contains the basic
> > idea.
> >
> > Tim.
> >
> > --- NEMO DHAAD ---
> > Additions to Dynamic Home Agent Address Discovery (DHAAD)
> >
> > Since mobile routers need home agents with support for network
> > mobility, it is of use to extend the existing DHAAD mechanism, to
> > enable mobile routers to discover home agents supporting mobile
> > networks.
> >
> > The modification consists in adding the mobile router home agent bit
M
> > to the ICMP messages for home agent discovery (figures 2.24 and
2.25)
> > and to the home agent information option (figure 2.26).
> >
> >
> >      0                   1                   2                   3
> >      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
> >
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >     |     Type      |     Code      |            Checksum
|
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >     |          Identifier           |M|          Reserved1
|
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >
> >   Figure 2.24: Extended ICMP Home Agent Address Discovery Request
> > Message
> >
> >
> >      0                   1                   2                   3
> >      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
> >
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >     |     Type      |     Code      |            Checksum
|
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >     |           Identifier          |M|           Reserved1
|
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >     |
|
> >     +
+
> >     .
.
> >     .                      Home Agent Addresses
.
> >     .
.
> >     +
+
> >     |
|
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >
> >   Figure 2.25: Extended ICMP Home Agent Address Discovery Reply
Message
> >
> >
> >      0                   1                   2                   3
> >      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
> >
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >     |     Type      |    Length     |M|         Reserved1
|
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >     |     Home Agent Preference     |      Home Agent Lifetime
|
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >
> >   Figure 2.26: Extended Home Agent Information Option Format
> >
> > Added to the ICMP home agent address discovery request message, the
M
> > bit serves to indicate, that a mobile router is searching for
> > suitable home agents with mobile router support. If this request is
> > received by a normal home agent, it will ignore the M bit and send
an
> > ICMP home agent information discovery reply message as specified in
> > [1], without the M bit set. This reply includes all known home
agents
> > on the home network, regardless of the support for mobile routers.
> > Otherwise, if the recipient is a mobile router supporting home
agent,
> > it will discover the M bit and send an extended ICMP home agent
> > address discovery reply message as response (with the M bit set to
> > one), containing only home agents with support for mobile networks.
> >
> > The M bit in the home agent information option is used to indicate
to
> > other home agents, whether the sending home agent is capable (and
> 
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 17 Nov 2003 10:34:54 +0100

>  naming it 'R' as well in  DHAAD?

I support naming this bit 'R' in DHAAD (and not 'M').

Alex
GBU

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 17 Nov 2003 10:34:54 +0100

Alex
GBU

---

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 17 Nov 2003 09:41:11 -0800

> 1) I agree with the idea. But DHAAD is an option and I believe HA still

the only other way (apart from DHAAD) a Mobile Router acquires Home
Agent information is through manual configuration. so why do we need
a flag in the Binding Ack? the Mobile Router should not attempt
registration with a Home Agent that does not support Mobile Routers.

> naming it 'R' as well in  DHAAD?

sure.

Vijay

---

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 17 Nov 2003 09:41:11 -0800

sure.

Vijay